package com.kingdee.eas.custom.workflow;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class CompanyWorkflowEntryFactory
{
    private CompanyWorkflowEntryFactory()
    {
    }
    public static com.kingdee.eas.custom.workflow.ICompanyWorkflowEntry getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.workflow.ICompanyWorkflowEntry)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("CA72069A") ,com.kingdee.eas.custom.workflow.ICompanyWorkflowEntry.class);
    }
    
    public static com.kingdee.eas.custom.workflow.ICompanyWorkflowEntry getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.workflow.ICompanyWorkflowEntry)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("CA72069A") ,com.kingdee.eas.custom.workflow.ICompanyWorkflowEntry.class, objectCtx);
    }
    public static com.kingdee.eas.custom.workflow.ICompanyWorkflowEntry getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.workflow.ICompanyWorkflowEntry)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("CA72069A"));
    }
    public static com.kingdee.eas.custom.workflow.ICompanyWorkflowEntry getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.workflow.ICompanyWorkflowEntry)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("CA72069A"));
    }
}